Enable building the DUMM Ruby extension in a VPATH build.
[strongswan.git] / src / dumm / ext / extconf.rb.in
1 #
2 # DUMM for Ruby
3 #
4
5 require 'mkmf'
6
7 $defs << " @DEFS@"
8
9 dir_config('dumm', '@top_srcdir@/src/dumm', '../.libs')
10 dir_config('strongswan', '@top_srcdir@/src/libstrongswan', '../../libstrongswan/.libs')
11
12 unless find_library('dumm', 'dumm_create')
13 puts "... failed: 'libdumm' not found!"
14 exit
15 end
16
17 create_makefile('dumm', '@top_srcdir@/src/dumm/ext')
18